<?php

namespace App\Repositories;

use App\Models\BondProduct;
use App\Repositories\BaseRepository;

/**
 * Class BondProductRepository
 * @package App\Repositories
 * @version January 3, 2020, 5:51 am UTC
*/

class BondProductRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return BondProduct::class;
    }
}
